Status: Resolved Priority: Should have
Author: Mattias Nilsson Category: Global User Interface
Created: 2013-09-23 Assigned To: Mattias Nilsson
Updated: 2013-10-03 Due date:
Subject: Page template/layout selection
Description

Following a brief discussion about template/layout selection during the node structure meeting, it would be good to decide how we
want to tackle this issue in Neos.

Possible discussions:
Should we provide default functionality in TYPO3.Neos or have a proof-of-concept in the demo package?
    Should we use configuration in Settings.yaml, node type configuration or meta data from the file system for configuration of
templates/layouts?
    Should we provide a custom editor for the selection of image enriched values?
    How much of this is necessary for Neos 1.0?

Conclusion:

We concluded to continue with the current direction and implement a proof-of-concept. The implementation should go into
TYPO3.Neos, but it should be possible to exclude this feature if not needed. The definition of available layouts should be defined by
setting them in the TYPO3.Neos:Page node type configuration. The actual rendering should then use TypoScript to change the
template or use a specific TypoScript object, this would be up to the implementor. We will need a slide operator to be able to get the
nearest set parent value. The enriched editor is not necessary for the first part and should be a more generic selector editor with
image thumbnails. A basic implementation should go into Neos 1.0.

Associated revisions
Revision 02c5ce0b - 2013-10-03 15:43 - Sebastian Kurfuerst

[TASK] add functional tests to FlowQuery

Change-Id: I01454db904a116c3612a4b8648bdde22a068e9a9
Related: #52196
Reviewed-on: https://review.typo3.org/23947
Reviewed-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision c8a4cd3a - 2013-10-03 16:12 - Mattias Nilsson

[FEATURE] Add layout selection to pages

This adds a layout & subpages layout selector in the Inspector
for TYPO3.Neos:Page node type. This can be used to alter the
rendering of the page using TypoScript.

Change-Id: I57a43eefc77e8ab709bd695957ed2529c988acd0
Resolves: #52196
Reviewed-on: https://review.typo3.org/23978
Reviewed-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-09-23 18:23 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#2 - 2013-09-23 18:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23855

#3 - 2013-09-23 18:35 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23855

#4 - 2013-10-01 15:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#5 - 2013-10-02 10:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#6 - 2013-10-02 10:29 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23855

#7 - 2013-10-03 12:24 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#8 - 2013-10-03 12:28 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978
#9 - 2013-10-03 13:05 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#10 - 2013-10-03 13:52 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#11 - 2013-10-03 13:56 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#12 - 2013-10-03 16:08 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23978

#13 - 2013-10-03 19:36 - Mattias Nilsson
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c8a4cd3a709c4b3f0762b45147a6a402619e8ce5.
